/*
Написать калькулятор, который на ввод принимает строку вида: 3/2, выдаёт результат
и спрашивает: выходить из программы или ввести следующее выражение.
*/
#include <iostream>
#include <string>
#include <stdlib.h>

using namespace std;

double getSum(float var_1, float var_2);
double getDifferent(float var_1, float var_2);
double getMultiplication(float var_1, float var_2);
double getDivision(float var_1, float var_2);

int main()
{
	cout << "Enter the expression: ";

	string input;
	getline(cin, input);

	size_t op_pos = input.find_first_of("+-*/");
	if (op_pos == string::npos) {
		cout << "Error: bad input." << endl;
		main();
		return 0;
	}

	float var_1 = atof(input.substr(0, op_pos).c_str());
	float var_2 = atof(input.substr(op_pos + 1, input.length() - op_pos).c_str());

	double result;

	switch (input[op_pos]) {
		case '+':
			result = getSum(var_1, var_2);
			break;
		case '-':
			result = getDifferent(var_1, var_2);
			break;
		case '*':
			result = getMultiplication(var_1, var_2);
			break;
		case '/':
			result = getDivision(var_1, var_2);
			break;
	}

	cout << var_1 << " " << input[op_pos] << " "  << var_2 << " = " << result << endl;

	cout << "Continue? Write yes/no: ";
	while (getline(cin, input)) {
		if (input == "yes") {
			main();
			break;
		} else if (input == "no") {
			break;
		} else {
			cout << "Continue? Write yes/no: ";
		}
	}
	return 0;
}

double getSum(float var_1, float var_2)
{
	return var_1 + var_2;
}

double getDifferent(float var_1, float var_2)
{
	return var_1 - var_2;
}

double getMultiplication(float var_1, float var_2)
{
	return var_1 * var_2;
}

double getDivision(float var_1, float var_2)
{
	return var_1 / var_2;
}
